ApplePictParserInternal::State Struct Reference documentation

ApplePictParserInternal::State Struct Reference

Internal: the state of a ApplePictParser. More...

## Public Member Functions
| State ()
| constructor
void | initPatterns ()
| init the patterns list
bool | isInvisible (ApplePictParser::DrawingMethod method) const
| returns true if the shape is invisible
void | updateStyle (ApplePictParser::DrawingMethod method, MWAWGraphicStyle &style)
| update the actual style
void | updatePosition (MWAWVec2f const &orig, MWAWPosition &pos)
| update the position
void | updatePosition (MWAWBox2f const &bdBox, MWAWPosition &pos)
| update the position

## Public Attributes
int | m_version
| the file version
MWAWBox2f | m_bdBox
| the bounding rectangle
MWAWVec2f | m_origin
| the origin
MWAWVec2i | m_penPosition
| the actual pen position
MWAWVec2i | m_textPosition
| the actual text position
MWAWVec2i | m_penSize
| the actual pensize
MWAWVec2i | m_ovalSize
| the actual ovalsize
int | m_penMode
| the pen mode
int | m_textMode
| the text mode
bool | m_isHiliteMode
| true if we must use the hilite mode
MWAWFont | m_font
| the actual font
MWAWColor | m_foreColor
| the foreground color
MWAWColor | m_backColor
| the background color
MWAWColor | m_hiliteColor
| the hilite color
MWAWColor | m_opColor
| the op color
MWAWGraphicStyle::Pattern | m_penPattern
| the pen pattern
MWAWGraphicStyle::Pattern | m_backgroundPattern
| the background pattern
MWAWGraphicStyle::Pattern | m_fillPattern
| the fill pattern
MWAWBox2i | m_rectangle
| the last rectangle
MWAWBox2i | m_roundRectangle
| the last round rectangle
MWAWBox2i | m_circle
| the last circle
MWAWBox2i | m_pie
| the last pie
std::vector< MWAWVec2i > | m_points
| the last polygon points
bool | m_afterQuicktime
| a flag to know if we have found a quicktime picture/movie

## Detailed Description

Internal: the state of a ApplePictParser.

## Constructor & Destructor Documentation

## ◆ State()

ApplePictParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ initPatterns()

void ApplePictParserInternal::State::initPatterns | ( |  | ) |

init the patterns list

## ◆ isInvisible()

bool ApplePictParserInternal::State::isInvisible | ( | ApplePictParser::DrawingMethod | method | ) | const
| inline

returns true if the shape is invisible

## ◆ updatePosition() [1/2]

void ApplePictParserInternal::State::updatePosition | ( | MWAWBox2f const & | bdBox,
|  | MWAWPosition & | pos )
| inline

update the position

## ◆ updatePosition() [2/2]

void ApplePictParserInternal::State::updatePosition | ( | MWAWVec2f const & | orig,
|  | MWAWPosition & | pos )
| inline

update the position

## ◆ updateStyle()

void ApplePictParserInternal::State::updateStyle | ( | ApplePictParser::DrawingMethod | method,
|  | MWAWGraphicStyle & | style )
| inline

update the actual style

## Member Data Documentation

## ◆ m_afterQuicktime

bool ApplePictParserInternal::State::m_afterQuicktime

a flag to know if we have found a quicktime picture/movie

Referenced by State().

## ◆ m_backColor

MWAWColor ApplePictParserInternal::State::m_backColor

the background color

Referenced by State().

## ◆ m_backgroundPattern

MWAWGraphicStyle::Pattern ApplePictParserInternal::State::m_backgroundPattern

the background pattern

Referenced by State(), and updateStyle().

## ◆ m_bdBox

MWAWBox2f ApplePictParserInternal::State::m_bdBox

the bounding rectangle

Referenced by State(), updatePosition(), and updatePosition().

## ◆ m_circle

MWAWBox2i ApplePictParserInternal::State::m_circle

the last circle

Referenced by State().

## ◆ m_fillPattern

MWAWGraphicStyle::Pattern ApplePictParserInternal::State::m_fillPattern

the fill pattern

Referenced by State(), and updateStyle().

## ◆ m_font

MWAWFont ApplePictParserInternal::State::m_font

the actual font

Referenced by State().

## ◆ m_foreColor

MWAWColor ApplePictParserInternal::State::m_foreColor

the foreground color

Referenced by State(), and updateStyle().

## ◆ m_hiliteColor

MWAWColor ApplePictParserInternal::State::m_hiliteColor

the hilite color

Referenced by State().

## ◆ m_isHiliteMode

bool ApplePictParserInternal::State::m_isHiliteMode

true if we must use the hilite mode

Referenced by State().

## ◆ m_opColor

MWAWColor ApplePictParserInternal::State::m_opColor

the op color

Referenced by State().

## ◆ m_origin

MWAWVec2f ApplePictParserInternal::State::m_origin

the origin

Referenced by State(), updatePosition(), and updatePosition().

## ◆ m_ovalSize

MWAWVec2i ApplePictParserInternal::State::m_ovalSize

the actual ovalsize

Referenced by State().

## ◆ m_penMode

int ApplePictParserInternal::State::m_penMode

the pen mode

Referenced by isInvisible(), and State().

## ◆ m_penPattern

MWAWGraphicStyle::Pattern ApplePictParserInternal::State::m_penPattern

the pen pattern

Referenced by State(), and updateStyle().

## ◆ m_penPosition

MWAWVec2i ApplePictParserInternal::State::m_penPosition

the actual pen position

Referenced by State().

## ◆ m_penSize

MWAWVec2i ApplePictParserInternal::State::m_penSize

the actual pensize

Referenced by isInvisible(), State(), and updateStyle().

## ◆ m_pie

MWAWBox2i ApplePictParserInternal::State::m_pie

the last pie

Referenced by State().

## ◆ m_points

std::vector<MWAWVec2i> ApplePictParserInternal::State::m_points

the last polygon points

Referenced by State().

## ◆ m_rectangle

MWAWBox2i ApplePictParserInternal::State::m_rectangle

the last rectangle

Referenced by State().

## ◆ m_roundRectangle

MWAWBox2i ApplePictParserInternal::State::m_roundRectangle

the last round rectangle

Referenced by State().

## ◆ m_textMode

int ApplePictParserInternal::State::m_textMode

the text mode

Referenced by isInvisible(), and State().

## ◆ m_textPosition

MWAWVec2i ApplePictParserInternal::State::m_textPosition

the actual text position

Referenced by State().

## ◆ m_version

int ApplePictParserInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- ApplePictParser.cxx